.baseControl img {
	width: 4rem !important;
	box-sizing: border-box;
	border-radius: 4px;
	padding: 4px 2px 0px 2px;
	margin-bottom: 0.35rem;
	object-fit: cover;
	box-shadow: 0px 2px 3px rgba(0, 0, 0, 0.1);
}
.baseControl img#baseOffBtn {
	filter: grayscale(50);
}
.baseControl img#baseOnBtn {
	filter: hue-rotate(40deg) contrast(2) saturate(700%) brightness(0.9);
}

.miniLeafletPreview {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
    pointer-events: none;
}

.miniLeafletPreview .leaflet-control-container,
.miniLeafletPreview .leaflet-pane .leaflet-marker-pane,
.miniLeafletPreview .leaflet-pane .leaflet-shadow-pane {
    display: none;
}


/* 배경지도 */
#backmap01 {
	margin-bottom: 20px;
}
#map_subBaseSelect{
    margin:1.2rem 0.8rem;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
#map_subBaseSelect ul{
    margin-bottom: 0.8rem;
    width:100%;
}
#map_subBaseSelect ul li {
    position: relative;
    display: inline-block;
    text-align: center;
    width:100%;
    height: 7.4rem;
    box-sizing: border-box;
    border-radius: 0.8rem;
    overflow: hidden;
}

#map_subBaseSelect ul li img {
    width:100%;
    height:100%;
    object-fit: cover;
    border-radius: 0.8rem;
}

/* 라디오 버튼 숨기기 및 이미지 영역에 맞게 배치 */
#map_subBaseSelect ul li input[type="radio"] {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0; /* 보이지 않지만 클릭 가능 */
    cursor: pointer;
    z-index: 1; /* 이미지 위에 위치 */
}

/* 라벨 클릭 영역을 이미지 왼쪽 상단으로 확장 */
#map_subBaseSelect ul li label {
    position: absolute;
    top: 0.5rem;
    left: 0.5rem;
    max-width: 80%;
    white-space: nowrap;
    background-color: rgba(0, 0, 0, 0.6);
    color: #fff;
    padding: 0.3rem 0.6rem;
    border-radius: 100px;
    font-size: 1.2rem;
    z-index: 2;
    pointer-events: none;
}

/* :checked 상태일 때의 스타일 */
#backmap01 ul li input[type="radio"]:checked + label,
#backmap01 ul li input[type="checkbox"]:checked + label {
    background-color: rgba(36, 107, 235, 0.8);
    color: #fff;
}

#backmap01 ul li input[type="radio"]:checked ~ img,
#backmap01 ul li input[type="radio"]:checked ~ .miniLeafletPreview {
    border: 2px solid rgba(36, 107, 235, 0.8);
}
/* li가 체크된 라디오버튼을 포함할 때 border 추가 */
#backmap01 ul li:has(input[type="radio"]:checked),
#backmap01 ul li:has(input[type="checkbox"]:checked) {
    border: 2px solid #2d7adf;
    box-sizing: border-box;
    box-shadow: 2px 2px 6px 1px rgba(0, 0, 0, 0.2);
}




/* 정사영상 드롭다운 */
.airMapSelect ul {
    display: flex;
    flex-wrap: wrap;
    gap: 0.8rem 0;
    justify-content: space-between;
    margin:1.2rem 0.8rem;
}
 .airMapSelect ul li {
    position: relative;
    width: 48%;
    height: 7.4rem;
    /* flex-basis: calc(50% - 0.4rem);
    width:50%;
     */
    overflow: hidden;
    border-radius: 0.8rem;
    img{
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
}
.airMapSelect.mepSet ul li{
    width:100%;
    height:6.4rem;
}

.airMapSelect ul li img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* 라디오 버튼 숨기기 및 이미지 영역에 맞게 배치 */
.airMapSelect ul li input[type="radio"],
.airMapSelect ul li input[type="checkbox"] {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0; /* 보이지 않지만 클릭 가능 */
    cursor: pointer;
    z-index: 1; /* 이미지 위에 위치 */
}

/* 라벨 클릭 영역을 이미지 왼쪽 상단으로 확장 */
.airMapSelect ul li label {
    position: absolute;
    top: 0.5rem;
    left: 0.5rem;
    max-width: 80%;
    white-space: nowrap;
    background-color: rgba(0, 0, 0, 0.6);
    color: #fff;
    padding: 0.3rem 0.6rem;
    border-radius: 100px;
    font-size: 1.2rem;
    z-index: 2;
    pointer-events: none;
}


/* 정사영상 260107기준 수정 전 스타일 */
#backmap02 {
	transform: scale(0.8);
  	margin-top: -3rem
}

.geo_btnWrap{
	display:flex;
	align-items:center;
	flex-direction:column;
	gap:8px;
	padding:20px;
	margin-bottom: 34px;
}
.geo_btnWrap .geo_btn{
 width:280px;
 height:47px;
 background:url(/smgis2/file/imgs/bg/airmapImg.png) no-repeat center center;
 cursor:pointer;
 }
.geo_btnWrap .geo_btn.active{
	box-shadow: 0 0 0 1px #2d7adf;
    border-radius: 9px;
 	background:url(/smgis2/file/imgs/bg/airmapImg_on.png) no-repeat center center;
} 
 .geo_btnWrap .geo_btn span{
 	display: inline-block;
 	width:63px;
 	height:47px;
    font-size: 22px;
    color: #fff;
    font-weight: bold;
    line-height: 47px;
    float: right;
    padding-right: 20px;
 }
   .geo_btnWrap .geo_btn span.map1978{
    background:url(/smgis2/file/imgs/bg/1978.png) no-repeat center center;
 }
   .geo_btnWrap .geo_btn span.map1989{
    background:url(/smgis2/file/imgs/bg/1989.png) no-repeat center center;
 }
   .geo_btnWrap .geo_btn span.map1996{
    background:url(/smgis2/file/imgs/bg/1996.png) no-repeat center center;
 }
   .geo_btnWrap .geo_btn span.map2006{
    background:url(/smgis2/file/imgs/bg/2006.png) no-repeat center center;
 }
  .geo_btnWrap .geo_btn span.map2019{
    background:url(/smgis2/file/imgs/bg/2019.png) no-repeat center center;
 }
  .geo_btnWrap .geo_btn span.map2020{
    background:url(/smgis2/file/imgs/bg/2020.png) no-repeat center center;
 }
  .geo_btnWrap .geo_btn span.map2021{
    background:url(/smgis2/file/imgs/bg/2021.png) no-repeat center center;
 }
.geo_btnWrap .geo_btn span.map2023{
    background:url(/smgis2/file/imgs/bg/2023.png) no-repeat center center;
}